Name:		glue-schema
Version:	2.1.0
Release:    1%{?dist}
Summary:	LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema
License:	Apache-2.0
URL:		https://github.com/EGI-Foundation/%{name}
Source0:		https://github.com/EGI-Foundation/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	make

%description
The GLUE specification is an information model for Grid entities such
as computing clusters and data storage facilities. As a conceptual
model, it is designed to be independent from the concrete data models
adopted for its implementation. The specification can be rendered to
several concrete data models such as XML Schema, LDAP Schema or SQL.

This package provides LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema.

%prep
%setup -q

%build 

%install
make install prefix=%{buildroot}

rm -rf %{buildroot}%{_docdir}
rm -rf %{buildroot}%{_licensedir}

%files
%dir %{_sysconfdir}/ldap
%dir %{_sysconfdir}/ldap/schema
%config(noreplace) %{_sysconfdir}/ldap/schema/*
%doc AUTHORS.md
%doc README.md
%license COPYRIGHT
%license LICENSE.txt

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-1
- initial build
